Nextcloud: Prepare seu ambiente para a versão 21!

Olá! Quem está utilizando o Nextcloud 20 pode já ter se deparado com o aviso da necessidade atualização do PHP para a versão 7.4 e, caso esteja utilizando esse SGBD, da atualização do MariaDB para a versão 10.2 ou superior.

De fato para versão 21 do Nextcloud é necessário utilizar ao menos o PHP 7.3, sendo já recomendado a versão 7.4 e para o MariaDB, a atualização para a versão 10.2 no mínimo.

Utilizando o PHP 7.4

No RHEL/CentOS, para utilizar o PHP 7.4 uma opção é o repositório REMI (https://rpms.remirepo.net/):

yum -y install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
yum -y install https://rpms.remirepo.net/enterprise/remi-release-7.rpm
yum -y install yum-utils
yum-config-manager --enable remi-php74

Utilizando o MariaDB 10.X

Para Ubuntu, o repositório “software-properties-common” pode ser utilizado com o repositório da versão 10 do MariaDB:

apt-get install software-properties-common
apt-key adv --recv-keys --keyserver hkp://keyserver.ubuntu.com:80 0xF1656F24C74CD1D8
add-apt-repository "deb [arch=amd64,arm64,ppc64el] http://mariadb.mirror.liquidtelecom.com/repo/10.5/ubuntu $(lsb_release -cs) main"

Para RHEL/CentOS, o repositório do MariaDB 10 também pode ser utilizado:

cat <<EOF | sudo tee /etc/yum.repos.d/MariaDB.repo
[mariadb]
name = MariaDB
baseurl = http://yum.mariadb.org/10.5/centos7-amd64
gpgkey=https://yum.mariadb.org/RPM-GPG-KEY-MariaDB
gpgcheck=1
EOF

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair /  Alterar )

Foto do Google

Você está comentando utilizando sua conta Google. Sair /  Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair /  Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair /  Alterar )

Conectando a %s